Subject: Re: bug#12135: 24.1.50; compatibility between compiled files in emacs-24.1 and 24.2

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 08 Aug 2012 20:36:33 +0200

Stefan Monnier <[email-masked]> writes:

>>> Yes, and these files should work correctly under Emacs-24.2 (at least
>>> I did try to preserve this compatibility).
>> No, they don't either, try it.
>
> Indeed, I see that C-x c M-x doesn't work when compiled with Emacs-24.1
> and run with the trunk.
> But since we don't get any error message, I'm not sure where to start
> looking for the cause.  You pointed the finger at flet, so maybe you
> have some idea (or gut feeling)?
Maybe you are right here Stefan and flet is not the culprit.
I remove the flet from the function and the result is the same:
I doesn't work without recompiling.
But when trying this I fall to this error (that happened with files not
recompiled):

symbol definition is void tty-top-frame

This error popup when using C-z in helm-find-files (to expand a
directory).

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997